<?php
namespace Claromentis\Comments\Events;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array();
use Claromentis\Comments\Model\Comment;
use Claromentis\Core\Event\Event;
class CommentEvent extends Event
{
    const EVENT_NAME = 'comments.generic_event';
    protected $comment;
    
    
    
    
    public function __construct(Comment $comment)
    {
        $this->comment = $comment;
    }
    
    
    
    
    public function GetComment()
    {
        return $this->comment;
    }
}